aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'pkg/scripts/preremove.sh')
-rw-r--r--pkg/scripts/preremove.sh13+13 −0
1 files changed, 13 insertions, 0 deletions
diff --git a/pkg/scripts/preremove.sh b/pkg/scripts/preremove.sh
new file mode 100644
--- /dev/null
+++ b/pkg/scripts/preremove.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Copyright (c) 2026 Nikolay Govorov
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+set -e
+
+if [ -x "/bin/systemctl" ] && [ -d /run/systemd/system ]; then
+ /bin/systemctl stop mirumd.service || true
+ /bin/systemctl disable mirumd.service || true
+
+ /bin/systemctl stop 'mirumw@*' || true
+ /bin/systemctl disable mirumw@.service || true
+fi